Bug 13918 - vfs_ceph uses wrong directory for realpath call.
vfs_ceph uses wrong directory for realpath call.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-26 20:41 UTC by Jeremy Allison
Modified: 2019-05-21 09:37 UTC (History)
2 users (show)

See Also:


Attachments
fix for master. (1.08 KB, patch)
2019-04-26 20:49 UTC, Jeremy Allison
no flags Details
git-am fix for 4.10.next, 4.9.next. (1.60 KB, patch)
2019-05-02 20:25 UTC, Jeremy Allison
jra: review? (slow)
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2019-04-26 20:41:46 UTC

    
Comment 1 Jeremy Allison 2019-04-26 20:42:26 UTC
Reported by Robert Sander <r.sander@heinlein-support.de> on the samba-tecnhical list. Patch provided. I'll update once it's gone into master.
Comment 2 Jeremy Allison 2019-04-26 20:49:59 UTC
Created attachment 15101 [details]
fix for master.
Comment 3 Jeremy Allison 2019-05-02 20:25:25 UTC
Created attachment 15117 [details]
git-am fix for 4.10.next, 4.9.next.

Cherry-picked from master.
Comment 4 David Disseldorp 2019-05-08 12:16:33 UTC
Comment on attachment 15117 [details]
git-am fix for 4.10.next, 4.9.next.

lgtm
Comment 5 David Disseldorp 2019-05-08 12:17:47 UTC
@Karo: please merge for 4.10.next and 4.9.next.
Comment 6 Karolin Seeger 2019-05-16 10:17:51 UTC
(In reply to David Disseldorp from comment #5)
Pushed to autobuild-v4-{10,9}-test.
Comment 7 Karolin Seeger 2019-05-21 09:37:24 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!